#!/bin/bash

## Script permettant un parcours en largeur d'une arborescence à partir du répertoire spécifié en argument numéro 1 et affiche chacun des répertoies rencontrés durant son parcours

parametre=$1

if [ $parametre ] 
then
	if [ $parametre == "--help" ]
	then
		echo "Script permettant un parcours en largeur d'une arborescence à partir du répertoire spécifié en argument numéro 1 et affiche chacun des répertoies rencontrés durant son parcours"
		echo -e "Pour utiliser ce script, faites : \n$0 [répertoire]\n"
	else
		echo "Traitement en cours ..."

		while [ $1 ]
		do
			echo "Passage dans $1"
			resultat=`find $1 -maxdepth 1 -mindepth 1 -type d`
			shift 1
			set -- $* $resultat
		done

		echo "Traitement terminé."
	fi
else
	echo -e "Aucun paramètre.\nPour en savoir plus faites $0 --help"
fi
exit 0;
